<?php

namespace Litepci\Customer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CustomerTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Customer\Models\Customer $customer)
    {
        return [
            'id'                => $customer->getRouteKey(),
            'key'               => [
                'public'    => $customer->getPublicKey(),
                'route'     => $customer->getRouteKey(),
            ], 
            'deleted_at'        => $customer->deleted_at,
            'url'               => [
                'public'    => trans_url('customer/'.$customer->getPublicKey()),
                'user'      => guard_url('customer/customer/'.$customer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$customer->status),
            'created_at'        => format_date($customer->created_at),
            'updated_at'        => format_date($customer->updated_at),
        ];
    }
}